Bug 1302552 (zendframework/zend-hydrator) - Review Request: php-zendframework-zend-hydrator - Zend Framework Hydrator component
Summary: Review Request: php-zendframework-zend-hydrator - Zend Framework Hydrator com...
Status: CLOSED RAWHIDE
Alias: zendframework/zend-hydrator
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-28 07:09 UTC by Remi Collet
Modified: 2016-02-01 14:23 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-02-01 14:23:15 UTC
shawn: fedora-review+


Attachments (Terms of Use)
phpcompatinfo-full.log (24.64 KB, text/plain)
2016-02-01 13:19 UTC, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (14.53 KB, text/plain)
2016-02-01 13:20 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (6.91 KB, text/plain)
2016-02-01 13:20 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2016-01-28 07:09:16 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/44886461e4307893dc89cf811559f7e9f2b42e84/php/zend/php-zendframework-zend-hydrator/php-zendframework-zend-hydrator.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-zendframework-zend-hydrator-1.0.0-1.remi.src.rpm
Description: 
Zend\Hydrator provides utilities for mapping arrays to objects,
and vice versa, including facilities for filtering which data
is mapped as well as providing mechanisms for mapping nested
structures.

Fedora Account System Username: remi


New dependency of zend-stdlib 2.7 (for ZF 2.5.3)
Version ^1.0.0 required (v2 is released for ZF3)

Comment 1 Shawn Iwinski 2016-02-01 13:19 UTC
Created attachment 1120111 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.0 DB built Jan 09 2016 15:36:21 CET

Comment 2 Shawn Iwinski 2016-02-01 13:20 UTC
Created attachment 1120112 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.0 DB built Jan 09 2016 15:36:21 CET

Comment 3 Shawn Iwinski 2016-02-01 13:20 UTC
Created attachment 1120113 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1302552
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Shawn Iwinski 2016-02-01 13:23:51 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



[!]: Latest version is packaged.

     Latest version for dependent RPM-packaged versions of Zend Framework v2.  As noted
     in the review request, "Version ^1.0.0 required (v2 is released for ZF3)".



rpmlint:
W: incoherent-version-in-changelog 1.0.1-1 ['1.0.0-1.fc24', '1.0.0-1']

    Minor.  Fix after initial import.



No blockers.

===== APPROVED =====

Comment 5 Remi Collet 2016-02-01 13:39:21 UTC
Thanks for the review.

Comment 6 Gwyn Ciesla 2016-02-01 13:53:19 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-zendframework-zend-hydrator


Note You need to log in before you can comment on or make changes to this bug.